<div id="bw-step-opt-1" data-url-validate="{{ url('api_optionals_validation') }}" style="display: none;">

    <div class="h3">{{ 'add.optionals.title'|trans({}, 'frontends') }}</div>
    <p class="h5 text-muted">{{ 'add.optionals.text'|trans({}, 'frontends') }}</p>

    <div class="cls_bw_g_err"></div>

    <div class="row">
        <div class="col">

            {# Display all optionals #}
            {% if digitalOptionals is defined and digitalOptionals is not empty %}

                <div style="display: none;"><label id="form_opt_step_1_general_error"></label></div>

                <div class="mt-3">
                    {% for categorySource,optionals in digitalOptionals %}
                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" name="opt_categories[]" class="custom-control-input chb_category_optional"
                                   data-category-source="{{ categorySource }}" id="chb_category_optional_{{ categorySource }}" value="{{ categorySource }}">
                            <label class="custom-control-label" for="chb_category_optional_{{ categorySource }}">
                                <span>{{ categorySource|trans({}, 'frontends') }}</span>
                            </label>
                        </div>
                        <select class="mt-3 mb-3 form-control slc_category_optional_{{ categorySource }} slc_optional_effect" name="optionals[]" style="display: none;" disabled>
                            {% for optional in optionals %}
                                <option value="{{ optional.id }}" data-special-effect="{{ optional.value }}" data-price="{{ optional.price }}" {#selected#}>
                                    <span>{{ optional.source|trans({}, 'frontends') }} (${{ optional.price }})</span>
                                </option>
                            {% endfor %}
                        </select>
                    {% endfor %}
                </div>
            {% endif %}

        </div>
    </div>

    {% include 'Desktop/PurchasingBundle/Transaction/_preview_word.html.twig' %}

    <div class="row mt-5">
        <div class="col">
            <div>
                <div class="clearfix float-right">
                    <button type="button" id="btn-back-to-choose-word" class="btn btn-secondary btn-lg">{{ 'back.label'|trans({}, 'frontends') }}</button>
                    <button type="button" class="btn-go-to-checkout btn btn-primary btn-lg">{{ 'go.to.checkout.label'|trans({}, 'frontends') }}</button>
                    {#<button type="button" id="btn-go-to-certificate" data-url-validate="{{ url('api_optionals_validation') }}" class="btn btn-primary btn-lg">{{ 'certificate.title'|trans({}, 'frontends') }}</button>#}
                </div>
            </div>

        </div>
    </div>

</div> {# END SECOND STEP #}

{#
<div id="bw-step-opt-2" style="display: none;">

    <div class="h3">{{ 'paper.certificate.title'|trans({}, 'frontends') }}</div>
    <p class="h5 text-muted">{{ 'paper.certificate.text'|trans({}, 'frontends') }}</p>

    <div style="display: none;"><label id="form_opt_step_2_general_error"></label></div>

    {% include 'Desktop/PurchasingBundle/Transaction/Modal/_new_certificate.html.twig' %}

    <div class="row mt-3">
        <div class="col">
            <div id="dv-recap-certification" class="mb-3" style="display: none;"></div>
            <a id="hrf-add-new-certificate" class="text-primary cls-pointer-effect" data-toggle="modal" data-target="#addCertificateModal"><i class="fas fa-plus"></i> {{ 'add.certificate.label'|trans({}, 'frontends') }}</a>
        </div>
    </div>

    <div id="cer-manage-shipping-address" class="row mt-3" style="display: none;">
        <div class="col">

            <input type="hidden" id="hdn_alert_address_is_required" value="{{ 'address.is.required'|trans({}, 'frontends') }}">

            <div><strong>{{ 'shipping.address.label'|trans({}, 'frontends') }}</strong></div>

            {-#TODO: add condition to check if shipping addresses exist then hide the following div#-}
            {% if lastAddressesUsed is not defined or lastAddressesUsed is empty %}
                <div id="dv-text-shipping-address-required" class="text-muted">{{ 'shipping.address.required.text'|trans({}, 'frontends') }}</div>
            {% endif %}

            <div id="dv-body-step-certificate-address">
                {% set ia = 0 %}
                {% for address in lastAddressesUsed %}

                    <div class='row border cls_row_bordered cls_addresses_on_cer mb-3 cls_address_{{ address.id }}'>
                        <div class='col-10'>
                            <div class='custom-control custom-radio'>
                                <input type='radio' id='ch_address_{{ address.id }}' name='choose_address' class='custom-control-input cls_slc_address_cer' {{ ia==0 ? "checked='checked'" }} value='{{ address.id }}'>
                                <label class='custom-control-label' for='ch_address_{{ address.id }}'>
                                    <div class='ml-3 cls_address_shipping_body'>
                                        <div class='text-muted'>
                                            {% set companyName = '' %}
                                            {% if address.companyName is defined and address.companyName is not empty %}
                                                {% set companyName = '(' ~ address.companyName ~ ')' %}
                                            {% endif %}

                                            <div>{{ address.firstName ~ ' ' ~ address.lastName ~ ' ' ~ companyName }}</div>
                                            <div>{{ address.streetAddress ~ ' ' ~ address.addressDetail ~ ', ' ~ address.postalCode ~ ', ' ~ address.city ~ ' (' ~ address.stateProvince ~ ')' }}</div>
                                        </div>
                                    </div>
                                </label>
                            </div>
                        </div>
                        <div class='col-2 text-right align-middle'>
                            <div class="h4 mt-2 dv_address_delivery_charges" {{ ia > 0 ? "style='display: none;'" }}> $ <span class="cls_address_delivery_charges">{{ address.country.deliveryCharges }}</span></div>
                        </div>
                    </div>

                    {% set ia = ia + 1 %}
                {% endfor %}
            </div>

            <div class="mt-3">
                {% if lastAddressesUsed is not defined or lastAddressesUsed is empty %}
                    <a id="add-address-on-certificate" class="text-primary cls-pointer-effect link-create-address-modal" data-toggle="modal" data-target="#saveAddressModal">
                        <i class="fas fa-plus"></i> {{ 'create.address.title'|trans({}, 'frontends') }}
                    </a>
                    <a id="manage-addresses-on-certificate" class="text-primary cls-pointer-effect link-create-address-modal" data-toggle="modal" data-target="#manageAddressesModal" style="display: none">
                        {{ 'manage.addresses.title'|trans({}, 'frontends') }}
                    </a>
                {% else %}
                    <a id="add-address-on-certificate" class="text-primary cls-pointer-effect link-create-address-modal" data-toggle="modal" data-target="#saveAddressModal" style="display: none">
                        <i class="fas fa-plus"></i> {{ 'create.address.title'|trans({}, 'frontends') }}
                    </a>
                    <a id="manage-addresses-on-certificate" class="text-primary cls-pointer-effect link-create-address-modal" data-toggle="modal" data-target="#manageAddressesModal">
                        {{ 'manage.addresses.title'|trans({}, 'frontends') }}
                    </a>
                {% endif %}
            </div>
        </div>
    </div>

    <div id="row_preview_certificate_value" class="row border mt-3 cls_row_preview_certificate_value h4" style="display:none;">
        <div class="col text-left">
            <strong>{{ 'partial.total.label.shortened'|trans({}, 'frontends') }}</strong>
        </div>
        <div class="col text-right">
            $ <span class="cls_preview_certificate_value">0</span>
        </div>
    </div>

    <div class="row mt-3">
        <div class="col">
            <div>
                <div class="clearfix float-right">
                    <button type="button" id="btn-back-from-certificate" class="btn btn-secondary btn-lg">{{ 'back.label'|trans({}, 'frontends') }}</button>
                    <button type="button" id="btn-validate-certificates" data-url-validate="{{ url('api_validate_certificates_fields') }}" class="btn-go-to-checkout btn btn-primary btn-lg">{{ 'go.to.checkout.label'|trans({}, 'frontends') }}</button>
                </div>
            </div>

        </div>
    </div>


</div> {-# END THIRD STEP #-}

#}